idna.h File Reference

C++ API: Internationalizing Domain Names in Applications (IDNA) More...

`#include "unicode/utypes.h"`
`#include "unicode/bytestream.h"`
`#include "unicode/stringpiece.h"`
`#include "unicode/uidna.h"`
`#include "unicode/unistr.h"`

Go to the source code of this file.

## Data Structures

class | icu::IDNA
| Abstract base class for IDNA processing. More...
class | icu::IDNAInfo
| Output container for IDNA processing errors. More...

## Namespaces

| icu
| File coll.h.

## Detailed Description

C++ API: Internationalizing Domain Names in Applications (IDNA)

Definition in file idna.h.